%undefine _missing_build_ids_terminate_build
%define __os_install_post %{nil}
%global debug_package %{nil}

# modules defaults
%define modulefile_path_top /usr/local/share/Modules/modulefiles/nvidia-tdk

Version:	5.319.43
%define cudamajor %(echo %{version} | cut -d. -f1,2 )
%define cudanumver %(echo %{version} | tr -d .)
Name:		tdk%{cudanumver}
%define destdir /usr/local/cudatoolkit/tdk/%{version}
Release:	7%{?dist}
Summary:	NVIDIA's Tesla Deployment Kit
Group:		Development/Libraries
License:	NVIDIA
URL:		https://developer.nvidia.com/tesla-deployment-kit
Source0:	https://developer.nvidia.com/sites/default/files/akamai/cuda/files/CUDADownloads/NVML/tdk_%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires:	environment-modules xorg-x11-drv-nvidia-libs >= 1:304.54
Provides:	nvidia-tdk = %{version}-%{release}
ExclusiveArch:	x86_64 i686
#AutoReqProv:	0

%description
NVIDIA's Tesla Deployment kit tools

%package devel
Summary:        NVIDIA's Tesla Deployment Kit development files
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       xorg-x11-drv-nvidia-devel >= 1:304.54
Provides:	nvidia-tdk-devel = %{version}-%{release}
AutoReqProv:    0

%description devel
NVIDIA's Tesla Deployment Kit development files


%prep
%setup -n tdk_%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{destdir}/bin
%ifarch i686
install -m 755 nvidia-healthmon/nvidia-healthmon_x86 $RPM_BUILD_ROOT/%{destdir}/bin/nvidia-healthmon
%endif
%ifarch x86_64
install -m 755 nvidia-healthmon/nvidia-healthmon $RPM_BUILD_ROOT/%{destdir}/bin/nvidia-healthmon
%endif
mkdir -p $RPM_BUILD_ROOT/%{destdir}/etc
install -m 755 nvidia-healthmon/config.ini $RPM_BUILD_ROOT/%{destdir}/etc/

mkdir -p $RPM_BUILD_ROOT/%{destdir}/share/doc
cp -ar nvml/doc/man $RPM_BUILD_ROOT/%{destdir}/share
cp -ar nvml/doc/*pdf nvml/example nvidia-healthmon/doc/* $RPM_BUILD_ROOT/%{destdir}/share/doc/
mkdir -p $RPM_BUILD_ROOT/%{destdir}/include
cp -ar nvml/include/* $RPM_BUILD_ROOT/%{destdir}/include/

mkdir -p ${RPM_BUILD_ROOT}%{modulefile_path_top}
cat <<ENDCOREMODULE > ${RPM_BUILD_ROOT}%{modulefile_path_top}/%{version}
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# %{name} rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds %{name} %{version} to various paths"
}

module-whatis   "Sets up %{name} %{version} in your environment"

prepend-path PATH "%{destdir}/bin"
prepend-path MANPATH "%{destdir}/share/man"
append-path -d { } INCLUDE "-I%{destdir}/include"
append-path CPATH "%{destdir}/include"
append-path -d { } FFLAGS "-I%{destdir}/include"
append-path -d { } LOCAL_INCLUDE "-I%{destdir}/include"
append-path -d { } LOCAL_CFLAGS "-I%{destdir}/include"
append-path -d { } LOCAL_CXXFLAGS "-I%{destdir}/include"
ENDCOREMODULE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc nvidia-healthmon/COPYING.txt nvidia-healthmon/README.txt
%dir /usr/local/cudatoolkit
%dir /usr/local/cudatoolkit/tdk
%dir %{destdir}
%dir %{destdir}/share
%dir %{destdir}/share/man
%dir %{modulefile_path_top}
%{modulefile_path_top}/%{version}
%{destdir}/bin
%{destdir}/etc

%files devel
%defattr(-,root,root,-)
%doc nvml/COPYING.txt nvml/README.txt
%{destdir}/include
%{destdir}/share/doc
%{destdir}/share/man/man*

%changelog
* Tue Apr 16 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build based on cudatoolkit
